Open main menu

Extension:UpdateMediaWiki/nl

This page is a translated version of the page Extension:UpdateMediaWiki and the translation is 0% complete.
Other languages:
Deutsch • ‎English • ‎Nederlands • ‎español • ‎polski • ‎中文 • ‎日本語
MediaWiki uitbreidingshandleiding
OOjs UI icon advanced.svg
updateMediaWiki
Release status: beta
Implementatie Special page , MyWiki
Beschrijving Allows administrators and authorized users upgrade from a special page
Auteur(s) Miguel Peláez (Miguel2706talk)
Laatste versie 0.3.0 (2014-04-03)
MediaWiki 1.25+
PHP 5.3+
Database wijzigingen Nee
Licentie GPL v2 or later
Download
updatecore
Vertaal de UpdateMediaWiki extensie indien beschikbaar op translatewiki.net
Bekijk gebruik en versiematrix
Problemen Open taken · Rapporteer een bug

The UpdateMediaWiki extension allows administrators and authorized users upgrade from a special page MediaWiki.

Installation

  • Download en plaats de bestanden in een map genaamd UpdateMediaWiki in de extensions/ map.
  • Voeg de volgende code onderaan aan LocalSettings.php toe:
    wfLoadExtension( 'UpdateMediaWiki' );
    
  •   Klaar – Navigeer naar Special:Version op de wiki om te controleren dat de uitbreiding succesvol is geïnstalleerd.

Voor gebruikers van MediaWiki 1.24 of lager:

De instructies hierboven beschrijven de nieuwe manier van het installeren van uitbreidingen, door middel van wfLoadExtension()

Indien deze uitbreiding wordt geïnstalleerd op een eerdere versie (MediaWiki 1.24 en eerder), gebruik in plaats van wfLoadExtension( 'UpdateMediaWiki' );:

require_once "$IP/extensions/UpdateMediaWiki/UpdateMediaWiki.php";

User rights

Once you installed the extension, you'll have to set up the user rights in LocalSettings.php .

Right Description
updatecore Update the MediaWiki Core

For example, the following sample configuration would allow sysops to do everything they want with UpdateMediaWiki:

$wgGroupPermissions['sysop']['updatecore'] = true;

Usage

To update from this extension, go to "Special:Updatemediawiki". Permission "updatecore" is required to do so.